package com.iamberry.wechat.core.entity.machine;

import java.util.Date;

/**
 * 充值记录DTO
 * @author liuzhiwei
 *	2017-02-10
 */
public class MachineRechargeDto implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1197046859217262780L;

	private Integer rechargeId;					//Id
	
	private String rechargeOpenId;			//所属用户
	
	private Integer rechargeMachineId;		//所属机器
	
	private Integer rechargeMaount;			//充值金额
	
	private Date rechargeTime;					//充值时间
	
	private Integer rechargeWater;			//充值水量
	
	private Integer rechargeState;				//状态
	
	private String rechargeOrderId;			//充值订单号
	
	private Date rechargePayTime;			//支付时间

	public Integer getRechargeId() {
		return rechargeId;
	}

	public void setRechargeId(Integer rechargeId) {
		this.rechargeId = rechargeId;
	}

	public String getRechargeOpenId() {
		return rechargeOpenId;
	}

	public void setRechargeOpenId(String rechargeOpenId) {
		this.rechargeOpenId = rechargeOpenId;
	}

	public Integer getRechargeMachineId() {
		return rechargeMachineId;
	}

	public void setRechargeMachineId(Integer rechargeMachineId) {
		this.rechargeMachineId = rechargeMachineId;
	}

	public Integer getRechargeMaount() {
		return rechargeMaount;
	}

	public void setRechargeMaount(Integer rechargeMaount) {
		this.rechargeMaount = rechargeMaount;
	}

	public Date getRechargeTime() {
		return rechargeTime;
	}

	public void setRechargeTime(Date rechargeTime) {
		this.rechargeTime = rechargeTime;
	}

	public Integer getRechargeWater() {
		return rechargeWater;
	}

	public void setRechargeWater(Integer rechargeWater) {
		this.rechargeWater = rechargeWater;
	}

	public Integer getRechargeState() {
		return rechargeState;
	}

	public void setRechargeState(Integer rechargeState) {
		this.rechargeState = rechargeState;
	}

	public String getRechargeOrderId() {
		return rechargeOrderId;
	}

	public void setRechargeOrderId(String rechargeOrderId) {
		this.rechargeOrderId = rechargeOrderId;
	}

	public Date getRechargePayTime() {
		return rechargePayTime;
	}

	public void setRechargePayTime(Date rechargePayTime) {
		this.rechargePayTime = rechargePayTime;
	}
	
}
